import com.ip2location.*;  

public class IP2LocationTest {

    public void sendIP2LocationHTTPRequest() {
    }

    public static void main(String[] args) throws Exception {
	IP2Location _loc = new IP2Location();
	_loc.IPDatabasePath = "IP-COUNTRY-REGION-CITY-ISP.BIN";

	IPResult result = _loc.IPQuery("200.2.8.100");

	String resultString = "country_short=" + result.getCountryShort() + "|" +
	    "city=" + result.getCity() + "|" +
	    "region=" + result.getRegion() + "|" +
	    "country_name=" + result.getCountryLong() + "|" +
	    "isp_name=" + result.getISP() + "|" +
            "status=" + result.getStatus() ;

	System.out.println(resultString);

	new Thread(new Runnable() {
	    public void run() {
		FrostIP2Location fwip2loc = new FrostIP2Location();
		try {
  		  fwip2loc.startService();
		} catch (Exception e) { e.printStackTrace(); } 
	    }}).start();
    }
}